
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" lang="en-us">
  <head>
    <meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>Vienvenido a la documentación del API de Inmobilio &#8212; Inmobilio 1.0 documentation</title>
    <link rel="stylesheet" href="_static/alabaster.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script async="async" type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Tutorial API Inmobilio" href="tutorial.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <div class="section" id="vienvenido-a-la-documentacion-del-api-de-inmobilio">
<h1>Vienvenido a la documentación del API de Inmobilio<a class="headerlink" href="#vienvenido-a-la-documentacion-del-api-de-inmobilio" title="Permalink to this headline">¶</a></h1>
<p>Esta es la documentación del API de inmobilio</p>
<p>Requerimientos para poder probar el API:</p>
<ul>
<li><p class="first">Instalar el intérprete de Python localmente</p>
</li>
<li><dl class="first docutils">
<dt>Adicionar la variable de entorno del Python:</dt>
<dd><dl class="first last docutils">
<dt>Panel de control</dt>
<dd><dl class="first last docutils">
<dt>Sistema y Seguridad</dt>
<dd><dl class="first last docutils">
<dt>Sistema</dt>
<dd><dl class="first last docutils">
<dt>Configuración avanzada del sistema</dt>
<dd><dl class="first last docutils">
<dt>Variables de entorno</dt>
<dd><p class="first last">Path += “;” + URL donde se encuentra el pythhon.exe</p>
</dd>
</dl>
</dd>
</dl>
</dd>
</dl>
</dd>
</dl>
</dd>
</dl>
</dd>
</dl>
</li>
<li><p class="first">Instalar el Django</p>
</li>
<li><p class="first">Instalar pip</p>
</li>
<li><dl class="first docutils">
<dt>Instalar env:</dt>
<dd><p class="first last">py -3 -m venv env</p>
</dd>
</dl>
</li>
<li><dl class="first docutils">
<dt>Instalar Django en el directorio virtual:</dt>
<dd><p class="first last">python -m pip install django</p>
</dd>
</dl>
</li>
<li><dl class="first docutils">
<dt>Cambiar la ruta local del ejecutable de python:</dt>
<dd><dl class="first last docutils">
<dt>env</dt>
<dd><dl class="first last docutils">
<dt>pyvenv.cfg</dt>
<dd><p class="first last">home = URL donde se encuentra el pythhon.exe</p>
</dd>
</dl>
</dd>
</dl>
</dd>
</dl>
</li>
<li><dl class="first docutils">
<dt>Modificar el intérprete de pythhon en la conexión “Python: Django” del archivo launch.json así:</dt>
<dd><dl class="first last docutils">
<dt>launch.json</dt>
<dd><p class="first">Buscar configuración “name”: “Python: Django”</p>
<p class="last">Cambiar “pythonPath”: “URL donde se encuentra el pythhon.exe” (incluyendo python.exe)</p>
</dd>
</dl>
</dd>
</dl>
</li>
<li><dl class="first docutils">
<dt>Instalar psycopg2:</dt>
<dd><p class="first last">pip install psycopg2</p>
</dd>
</dl>
</li>
<li><dl class="first docutils">
<dt>Instalar rest_framework:</dt>
<dd><p class="first last">pip3 install djangorestframework</p>
</dd>
</dl>
</li>
</ul>
<div class="toctree-wrapper compound">
<p class="caption"><span class="caption-text">Contents:</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="tutorial.html">Tutorial API Inmobilio</a><ul>
<li class="toctree-l2"><a class="reference internal" href="tutorial.html#objeto-json">Objeto json</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="codigo.html">Código del API Inmobilio</a><ul>
<li class="toctree-l2"><a class="reference internal" href="codigo.html#modelos">Modelos</a></li>
<li class="toctree-l2"><a class="reference internal" href="codigo.html#vistas">Vistas</a></li>
</ul>
</li>
</ul>
</div>
</div>
<div class="section" id="indices-and-tables">
<h1>Indices and tables<a class="headerlink" href="#indices-and-tables" title="Permalink to this headline">¶</a></h1>
<ul class="simple">
<li><a class="reference internal" href="genindex.html"><span class="std std-ref">Index</span></a></li>
<li><a class="reference internal" href="search.html"><span class="std std-ref">Search Page</span></a></li>
</ul>
</div>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="#">Inmobilio</a></h1>








<h3>Navigation</h3>
<p class="caption"><span class="caption-text">Contents:</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="tutorial.html">Tutorial API Inmobilio</a></li>
<li class="toctree-l1"><a class="reference internal" href="codigo.html">Código del API Inmobilio</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="#">Documentation overview</a><ul>
      <li>Next: <a href="tutorial.html" title="next chapter">Tutorial API Inmobilio</a></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2018, Alejandro Carvajal Sánchez.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 1.8.1</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.12</a>
      
      |
      <a href="_sources/index.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>